Package org.springframework.batch.item.xml.stax

# Class UnopenedElementClosingEventWriter

java.lang.Object
org.springframework.batch.item.xml.stax.UnopenedElementClosingEventWriter

All Implemented Interfaces:
  `XMLEventConsumer`, `XMLEventWriter`

public class UnopenedElementClosingEventWriter extends Object
Delegating XMLEventWriter, which writes EndElement events that match a given collection of QNames directly to the underlying java.io.Writer instead of to the delegate XMLEventWriter.

Since:
  3.0
Author:
  Jimmy Praet

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected XMLEventWriter`
  `wrappedEventWriter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnopenedElementClosingEventWriter(XMLEventWriter wrappedEventWriter, Writer ioWriter, List<QName> unopenedElements)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(XMLEvent event)`
  `void`
  `add(XMLEventReader reader)`
  `void`
  `close()`
  `void`
  `flush()`
  `NamespaceContext`
  `getNamespaceContext()`
  `String`
  `getPrefix(String uri)`
  `void`
  `setDefaultNamespace(String uri)`
  `void`
  `setNamespaceContext(NamespaceContext context)`
  `void`
  `setPrefix(String prefix, String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### wrappedEventWriter

    protected XMLEventWriter wrappedEventWriter

- ## Constructor Details

  - ### UnopenedElementClosingEventWriter

    public UnopenedElementClosingEventWriter(XMLEventWriter wrappedEventWriter, Writer ioWriter, List<QName> unopenedElements)

- ## Method Details

  - ### add

    public void add(XMLEvent event) throws XMLStreamException
    Specified by:
      `add` in interface `XMLEventConsumer`
    Specified by:
      `add` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### add

    public void add(XMLEventReader reader) throws XMLStreamException
    Specified by:
      `add` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### close

    public void close() throws XMLStreamException
    Specified by:
      `close` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### flush

    public void flush() throws XMLStreamException
    Specified by:
      `flush` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### getNamespaceContext

    public NamespaceContext getNamespaceContext()
    Specified by:
      `getNamespaceContext` in interface `XMLEventWriter`

  - ### getPrefix

    public String getPrefix(String uri) throws XMLStreamException
    Specified by:
      `getPrefix` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### setDefaultNamespace

    public void setDefaultNamespace(String uri) throws XMLStreamException
    Specified by:
      `setDefaultNamespace` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### setNamespaceContext

    public void setNamespaceContext(NamespaceContext context) throws XMLStreamException
    Specified by:
      `setNamespaceContext` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`

  - ### setPrefix

    public void setPrefix(String prefix, String uri) throws XMLStreamException
    Specified by:
      `setPrefix` in interface `XMLEventWriter`
    Throws:
      `XMLStreamException`